import { defaultTheme } from "../theme";
import { SCTP } from "../types";
import styled, { css } from "@dothq/styled-components";

export const StyledButton = styled.button`
    appearance: none;
    outline: none;
    border: none;
    padding: 0.9em 2em;
    border-radius: 999em;
    font-weight: 500;
`;

const primary = css`
    background-color: ${(props: SCTP) => props.theme.colours.primary[500]};
    color: white;
`;

const sm = css`
    font-size: 0.5em;
`;

const md = css`
    font-size: 0.75em;
`;

const def = css`
    font-size: 0.875em;
`;

const lg = css`
    font-size: 1em;
`;

const xl = css`
    font-size: 1.5em;
`;

const xxl = css`
    font-size: 2em;
`;

export default {
    primary,

    sm,
    md,
    def,
    lg,
    xl,
    xxl
}