import React from "react";
import { Child, ChildOrMore } from "../types"
import styles from "./style";

type AProps = React.DetailedHTMLProps<React.AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>;

export interface TabProps extends AProps { 
    children: ChildOrMore
    selected?: boolean
}

export const Tab = ({ 
    children,
    selected,
    ...rest
}: TabProps) => {
    // const className = cx({
    //     [styles.base]: true,

    //     [styles.selected]: selected
    // })

    return (
        <li>
            <a {...rest}>
                <span>{children}</span>
            </a>
        </li>
    )
}