export const mixColour = (colour: string, percent: number) => {
    let r = parseInt(colour.substring(1, 3), 16) as any;
    let g = parseInt(colour.substring(3, 5), 16) as any;
    let b = parseInt(colour.substring(5, 7), 16) as any;

    r = r * (100 + percent) / 100;
    g = g * (100 + percent) / 100;
    b = b * (100 + percent) / 100;

    r = r < 255 ? r : 255;  
    g = g < 255 ? g : 255;  
    b = b < 255 ? b : 255;

    const result = ["#"];

    result.push(
        r.toString(16).length == 1
            ? `0${r.toString(16)}`
            : r.toString(16)
    )

    result.push(
        g.toString(16).length == 1
            ? `0${g.toString(16)}`
            : g.toString(16)
    )

    result.push(
        b.toString(16).length == 1
            ? `0${b.toString(16)}`
            : b.toString(16)
    )

    return result.join("");
}